#define MidiChannel 4
;#define ICD
;#define SHORTTABLE
;#define MIDITHROUGHTEST
#define SysexPinByte1 0x76 ; 'v' 
#define SysexPinByte2 0x61 ; 'a'
#define SysexPinByte3 0x63 ; 'c'
#define SysexPinByte4 0x63 ; 'c'
#include "../midiPulse.asm"

;************************************************************
; Midi Note number to timer number table (offset by 1!)
;   00h -> no action
	org 0F00h	;
MidiNoteMap
; note # offset=0h
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
; note # offset=20h
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 01h, 02h, 03h, 04h, 05h, 06h, 07h, 08h ;
	DB	 09h, 0Ah, 0Bh, 0Ch, 0Dh, 0Eh, 0Fh, 10h ;
; note # offset=40h
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
; note # offset=60h
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;
	DB	 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h ;


; Velocity to time tables

; Timer1 Lookup Table
; first dword : dummy
; following dwords : timer cycles for velocity 1,2,..128
; inverted endianess!

	org	1000h
velTime1
#include "vacca1.lut"
	org	1100h
velTime2
#include "vacca1.lut"
	org	1200h
velTime3
#include "vacca1.lut"
	org	1300h
velTime4
#include "vacca1.lut"
	org	1400h
velTime5
#include "vacca1.lut"
	org	1500h
velTime6
#include "vacca1.lut"
	org	1600h
velTime7
#include "vacca1.lut"
	org	1700h	
velTime8
#include "vacca1.lut"
	org	1800h	
velTime9
#include "vacca1.lut"
	org	1900h	
velTime10
#include "vacca1.lut"
	org	1A00h	
velTime11
#include "vacca1.lut"
	org	1B00h	
velTime12
#include "vacca1.lut"
	org	1C00h	
velTime13
#include "vacca1.lut"
	org	1D00h	
velTime14
#include "vacca1.lut"
	org	1E00h	
velTime15
#include "vacca1.lut"
	org	1F00h	
velTime16 
#include "vacca1.lut"


#ifndef SHORTTABLE
	org 2000h
#include "..\ones4096.lut"
	org 3000h
#include "..\ones4096.lut"
	org 4000h
#include "..\ones4096.lut"
	org 5000h
#include "..\ones4096.lut"
	org 6000h
#include "..\ones4096.lut"
#ifndef ICD
	org 7000h
#include "..\ones4096.lut"
#endif ; ICD
#endif ; SHORTTABLE

	end
